      module dynam
      implicit none

      real ::  fadv, fadv2,fadt, rd,  f4d, ef4t, fkin, fcp     
      real, dimension (:), allocatable :: deta, rdeta, aeta, daeta
      real, dimension (:), allocatable :: eta, dfl
      real, dimension (:,:,:), allocatable :: wpdar, f11, f12, f21, f22, &
                                    p11, p12, p21, p22, fdiv, fddmp,fvdiff &
                                   ,hbmsk,hsinp,hcosp

!      real ::  fadv, fadv2,fadt, rd,  f4d, ef4t, fkin, fcp     
!      real, dimension (lm) :: deta, rdeta, aeta, daeta
!      real, dimension (lp1) :: eta, dfl
!      real, dimension (0:im+1,0:jm+1,nm) :: wpdar, f11, f12, f21, f22, &
!                                    p11, p12, p21, p22, fdiv, fddmp,fvdiff &
!				    ,hbmsk,hsinp,hcosp
!      common /dynam/ fadv,fadv2, fadt, rd, f4d, ef4t, fkin, &
!                    deta, rdeta, aeta, eta, dfl, daeta, &
!                    wpdar, f11, f12, f21, f22, &
!                    p11, p12, p21, p22, fcp, fdiv, fddmp,hsinp,hcosp,&
!                    fvdiff,hbmsk

      end module dynam
